---
title: keyboardButtonRequestPhone
description: Button to request a user's phone number
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: keyboardButtonRequestPhone  
[Back to constructors index](index.md)



Button to request a user's phone number

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|text|[string](../types/string.md) | Yes|Button text|



### Type: [KeyboardButton](../types/KeyboardButton.md)


### Example:

```php
$keyboardButtonRequestPhone = ['_' => 'keyboardButtonRequestPhone', 'text' => 'string'];
```  


Or, if you're into Lua:

```lua
keyboardButtonRequestPhone={_='keyboardButtonRequestPhone', text='string'}

```


